<div ui-view>
	<div class="container formulario">
		<form name="formFixo" novalidate>

			<div class="row">
				<section>
					<div class="wizard">
						<div class="wizard-inner">
							<div class="connecting-line"></div>
							<ul class="nav nav-tabs" role="tablist">

								<li role="presentation" ng-class="{'active': step == 1}" ng-click="verificaPassoAtivo(1)">
									<a data-toggle="tab" aria-controls="step1" role="tab" title="{{'novoanuncio.oqqueranunciar' | translate}}">
										<span class="round-tab">
											<i class="glyphicon glyphicon-list-alt"></i>
										</span>
									</a>
								</li>

								<li ng-class="{'active': step == 2,'disabled': !passo2}" ng-click="verificaPassoAtivo(2) ? passo2 = true: passo2= false">
									<a title="Step 2">
										<span class="round-tab">
											<i class="glyphicon glyphicon-pencil"></i>
										</span>
									</a>
								</li>
								<li ng-class="{'active': step == 3,'disabled': !passo3}" ng-click="verificaPassoAtivo(3) ? passo3 = true: passo3 = false">
									<a title="Step 3">
										<span class="round-tab">
											<i class="glyphicon glyphicon-picture"></i>
										</span>
									</a>
								</li>

								<li ng-class="{'active': step == 4,'disabled': !passo4}" ng-click="verificaPassoAtivo(4) ? passo4 = true: passo4 = false">
									<a title="Complete">
										<span class="round-tab">
											<i class="glyphicon glyphicon-map-marker"></i>
										</span>
									</a>
								</li>
							</ul>
						</div>
						<div class="tab-content">
							<div id="step1" class="passos" ng-if="step == 1">
								<h2 class="azul">{{'novoanuncio.primeiroPasso' | translate}}</h2>
								<h3>{{'novoanuncio.oqdesejaanunciar' | translate}}</h3>

								<div class="row">
									<div class="list-group wizard-menu col-md-3" ng-repeat="ocupacao in ocupacoes">
										<a ng-repeat="value in ocupacao.itens" class="list-group-item  step-1-menu" ng-class="{active: value.ativo}" ng-click="selecionarSubocupacoes(value, ocupacao)" ng-repeat="value in ocupacao.itens">
											<p class="list-group-item-heading">
												<b>{{value.descricao}}</b>
											</p>
										</a>
									</div>
								</div>

								<ul class="list-inline pull-right">
									<li>
										<button type="button" class="btn-servant" ng-click="verificaPassoAtivo(2)">{{'proximo' | translate}}</button>
									</li>
								</ul>
							</div>

							<div class="passos" id="step2" ng-if="step == 2" ng-init="anuncio.telefone = usuarioLogado.telefone; anuncio.email = usuarioLogado.email">
								<h2 class="azul">{{'novoanuncio.segundoPasso' | translate}}</h2>
								<h3>{{'novoanuncio.personalize' | translate}}</h3>

								<div class="row">

									<div class="col-md-10">
										<label>{{'novoanuncio.titulo' | translate}}</label>
										<input type="text" maxlength="45" class="form-control" required placeholder="{{'novoanuncio.titulo' | translate}}" id="titulo" name="titulo" ng-model="anuncio.titulo">
										<div ng-show="formFixo.$submitted || formFixo.titulo.$touched">
											<div ng-show="formFixo.titulo.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-5">
										<label>{{'novoanuncio.telefone' | translate}}</label>
										<input type="text" class="form-control" placeholder="{{'novoanuncio.telefone' | translate}}" required ng-model="anuncio.telefone" mask="(99) 9?9999-9999" name="telefone" id="telefone">
										<div ng-show="formFixo.$submitted || formFixo.telefone.$touched">
											<div ng-show="formFixo.telefone.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>


									<div class="col-md-5">
										<label>{{'novoanuncio.mail' | translate}}</label>
										<input type="text" class="form-control" placeholder="mail@mail.com" ng-model="anuncio.email" name="email" id="email" required>
										<div ng-show="formFixo.$submitted || formFixo.email.$touched">
											<div ng-show="formFixo.email.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-10">
										<label>{{'novoanuncio.descricao' | translate}}</label>
										<textarea type="text" class="form-control" placeholder="{{'novoanuncio.contemais' | translate}}" id="descricao" required name="descricao" ng-model="anuncio.descricao"></textarea>
										<div ng-show="formFixo.$submitted || formFixo.descricao.$touched">
											<div ng-show="formFixo.descricao.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>
								</div>

								<ul class="list-inline pull-right">
									<li>
										<button type="button" class="btn-servant-branco" ng-click="verificaPassoAtivo(step - 1)">{{'voltar' | translate}}</button>
									</li>
									<li>
										<button type="button" class="btn-servant" ng-click="validaForm(3)">{{'proximo' | translate}}</button>
									</li>
								</ul>
							</div>


							<div class="passos" ng-if="step == 3" id="step3">
								<h2 class="azul">{{'novoanuncio.terceiroPasso' | translate}}</h2>
								<h3>{{'novoanuncio.personalize' | translate}}</h3>

								<label for="imagens" class="label-file"> {{'novoanuncio.selecionesuasimagens' | translate}}</label>
								<input type="file" id="imagens" ngf-select="onFiles($files)" ng-model="arquivos" name="file" multiple accept="image/*" ngf-max-size="2MB" class="btnLaranja" ngf-model-invalid="errorFile">


								<div class="row imagens-content">


									<div ng-repeat="picFile in arquivos" class="col-md-3 " style="padding-top: 15px;">


										<div class="imagens-cadastro" ng-class="{'border-green': $parent.view.imagem == $index }">
											<div class="imagens-content-radio text-justify" ng-class="{'active-green': $parent.view.imagem == $index }" ng-click="$parent.view.imagem = $index">
												<span class="glyphicon" ng-class="{'glyphicon-ok': $parent.view.imagem == $index, 'glyphicon-pushpin': $parent.view.imagem != $index}"></span>
												{{$parent.view.imagem == $index ? 'novoanuncio.imagemprincipal' : 'novoanuncio.selecione' | translate}}
											</div>

											<div>
												<img ngf-thumbnail="picFile" class="thumb imagem-cadastro" ngf-size="{width: 200, height: 200, quality: 0.9}">
											</div>

											<div class="imagens-content-delete text-justify" ng-click="$parent.removerImagem(arquivos, $index);">
												<span class="glyphicon glyphicon-remove"></span>
												Click para deletar
											</div>
										</div>
									</div>


								</div>


								<ul class="list-inline pull-right">
									<li>
										<button type="button" class="btn-servant-branco" ng-click="verificaPassoAtivo(step - 1)">{{'voltar' | translate}}</button>
									</li>
									<li>
										<button type="button" class="btn-servant" ng-click="validaImagens(4, arquivos)">{{'proximo' | translate}}</button>
									</li>
								</ul>
							</div>
							<div class="passos" ng-if="step == 4" id="complete">
								<h2 class="azul">{{'novoanuncio.ultimopasso' | translate}}</h2>
								<h3>{{'novoanuncio.msgmapa' | translate}}</h3>
								<p class="azul">{{'novoanuncio.comousarmapa' | translate}}</p>


								<div class="wrapper" ng-if="step == 4">






									<div class="col-md-2">
										<label>{{'novoanuncio.cep' | translate}}</label>
										<input type="text" class="form-control" placeholder="{{'novoanuncio.cep' | translate}}" required ng-model="anuncio.endereco.cep" mask="99999-999" name="cep" id="cep" ng-blur="buscarCep()">
										<div ng-show="formFixo.$submitted || formFixo.telefone.$touched">
											<div ng-show="formFixo.telefone.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-7">
										<label>{{'novoanuncio.endereco' | translate}}</label>
										<input type="text" class="form-control" maxlength="40" placeholder="{{'novoanuncio.endereco' | translate}}" required ng-model="anuncio.endereco.endereco" name="endereco" id="endereco">
										<div ng-show="formFixo.$submitted || formFixo.telefone.$touched">
											<div ng-show="formFixo.telefone.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-3">
										<label>{{'novoanuncio.bairro' | translate}}</label>
										<input type="text" class="form-control" maxlength="25" placeholder="{{'novoanuncio.bairro' | translate}}" required ng-model="anuncio.endereco.bairro" name="bairro" id="bairro">
										<div ng-show="formFixo.$submitted || formFixo.telefone.$touched">
											<div ng-show="formFixo.telefone.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>



									<div class="col-md-1" ng-init="carregarUfs()">
										<label for="uf">{{'novoanuncio.uf' | translate}}</label>
										<select class="form-control" id="uf" name="uf" ng-model="view.uf" >
											<option></option>
											 <option ng-repeat="uf in view.ufs" ng-value="uf.value" >{{uf.id}}</option>
										</select>
									</div>


									<div class="col-md-4">
										<label for="municipio">{{'novoanuncio.cidade' | translate}}</label>
										<select class="form-control" id="municipio" name="municipio" ng-model="anuncio.endereco.cidade.id" ng-options='municipio.id as municipio.nome for municipio in view.munUf[view.uf].municipios'>
											<option></option>
										</select>
									</div>




									<div map-lazy-load="https://maps.google.com/maps/api/js?key=AIzaSyDPz1Rk7ZtKFBc8OivBUfIMJYcdtR1kg6E">
										<ng-map zoom="15" center="current" on-click="selecionarLocal()"> <marker ng-repeat="pos in view.markers" position="{{pos.lat}}, {{pos.lng}}" animation="Animation.DROP"></marker> </ng-map>
									</div>

									<p ng-show="view.markers[0].lat">
										<b>Latitude:</b> {{view.markers[0].lat}} <b>Longitude:</b> {{view.markers[0].lng}}
									</p>


									<ul class="list-inline pull-right">
										<li>
											<button type="button" class="btn-servant-branco" ng-click="verificaPassoAtivo(step - 1)">{{'voltar' | translate}}</button>
										</li>
										<li>
											<button type="button" class="btn-servant" ng-click="salvar(arquivos)">Finalizar Anúncio</button>
										</li>
									</ul>

								</div>

							</div>
							<div class="clearfix"></div>
						</div>
					</div>
				</section>
			</div>
		</form>
	</div>
</div>
